/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugin.linechart;

/**
 *
 * @author Per Øyvind
 */
import java.util.ArrayList;
import javax.swing.JList;

/**
 * 
 * @author Per Øyvind
 */
public class CheckList extends JList {

    /**
     * 
     */
    public CheckList() {
        super();
    }

    /**
     * 
     * @param chanStrings
     * @param selectedChannels
     */
    public void update(String[] chanStrings, ArrayList<String> selectedChannels) {
        if (!(getCellRenderer() instanceof CheckListRenderer)) {
            setCellRenderer(new CheckListRenderer());
        }
        CheckListItem[] list = new CheckListItem[chanStrings.length];
        for (int i = 0; i < list.length; i++) {
            list[i] = new CheckListItem(chanStrings[i]);
            if (selectedChannels.contains(list[i].toString())) {
                list[i].setSelected(true);
            }
        }
        setListData(list);
    }

    /**
     * 
     * @param amount
     * @param selectedValues
     * @param entity
     */
    public void update(int amount, ArrayList<Integer> selectedValues, String entity) {
        if (!(getCellRenderer() instanceof CheckListRenderer)) {
            setCellRenderer(new CheckListRenderer());
        }
        CheckListItem[] list = new CheckListItem[amount];
        for (int i = 0; i < list.length; i++) {
            list[i] = new CheckListItem(entity + " " + (i + 1));
            if (selectedValues.contains(new Integer(i + 1))) {
                list[i].setSelected(true);
            }
        }
        setListData(list);
    }
}
