/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugin.linechart;

/**
 *
 * @author Per Øyvind
 */
import java.awt.Color;
import java.util.ArrayList;
import java.util.HashMap;
import javax.swing.JList;

/**
 * 
 * @author Per Øyvind
 */
public class ColorList extends JList {

    /**
     * 
     */
    public ColorList() {
        super();
    }

    /**
     * 
     * @param chanStrings
     * @param channelColors
     */
    public void update(String[] chanStrings, Color[] channelColors) {
        if (!(getCellRenderer() instanceof CheckListRenderer)) {
            setCellRenderer(new ColorListRenderer());
        }

        ColorListItem[] list = new ColorListItem[chanStrings.length];
        for (int i = 0; i < list.length; i++) {
            list[i] = new ColorListItem(chanStrings[i], channelColors[i]);

        }
        setListData(list);
    }

    /**
     * 
     * @param amount
     * @param lapColors
     * @param entity
     */
    public void update(int amount, Color[] lapColors, String entity) {
        if (!(getCellRenderer() instanceof CheckListRenderer)) {
            setCellRenderer(new ColorListRenderer());
        }
        ColorListItem[] list = new ColorListItem[amount];
        for (int i = 0; i < list.length; i++) {
            list[i] = new ColorListItem(entity + " " + (i + 1), lapColors[i]);

        }
        setListData(list);
    }
}
