package revolveanalyze;

import gui.MainGUI;
import gui.MainGUIImpl;
import javax.swing.UIManager;
import plugin.PluginDependencyLoader;
import plugin.PluginFactory;

/**
 *
 * @author Lauritz Møllersen
 */
public class RevolveAnalyze {

    /**
     * @param args the command line arguments
     * 
     */
    public static void main(String args[]) {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e) {
        }
        // Load plugin dependencies
        PluginDependencyLoader.loadNearByDependencies();
        
        MainGUI gui = new MainGUIImpl();
        ((MainGUIImpl) gui).setVisible(true);
        // Add eventual extra plugins to the main GUI
        gui.addExternalPluginEntries(PluginFactory.loadPluginsFromJars());

    }
}
