    /*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package segmentation;

import java.io.Serializable;

/**
 * Class to represent one segment in a lap.
 * @author Lauritz Møllersen
 */
public class Segment implements Serializable {
    private int segmentNumber;
    private int offset;

    /**
     * Default constructor with info.
     * @param segmentNumber
     * @param offset
     */
    public Segment(int segmentNumber, int offset) {
        this.segmentNumber = segmentNumber;
        this.offset = offset;
    }

    /**
     * Constructor without info.
     */
    public Segment() {
    }

    /**
     * @return the segmentNumber
     */
    public int getSegmentNumber() {
        return segmentNumber;
    }

    /**
     * @param segmentNumber the segmentNumber to set
     */
    public void setSegmentNumber(int segmentNumber) {
        this.segmentNumber = segmentNumber;
    }

    /**
     * @return the offset
     */
    public int getOffset() {
        return offset;
    }

    /**
     * @param offset the offset to set
     */
    public void setOffset(int offset) {
        this.offset = offset;
    }
}
