/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.basic;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import javax.swing.JDesktopPane;

/**
 *
 * @author Per Øyvind
 */
public class CustomJDesktopPane extends JDesktopPane {
    
    private BufferedImage image;

    /**
     * Sets the background image of the view.
     * @param image Background image
     */
    public void setImage(BufferedImage image){
        this.image = image;
    }
    
    public void paintComponent(Graphics g) {
    super.paintComponent(g);
    g.setColor(Color.BLACK);
    int step = Math.round(this.getVisibleRect().width/50);
    for(int i = 0; i< this.getVisibleRect().width;i+=step){
        for(int j = 0; j<this.getVisibleRect().height;j+=step){
            g.drawRect(i, j, 1, 1);
        }
    }
    Graphics2D g2d = (Graphics2D) g;
    int positionX = (this.getVisibleRect().width/2)-image.getWidth()/2;
    int positionY = (this.getVisibleRect().height/2)-image.getHeight()/2;
    if(image!=null) g2d.drawImage(image, positionX, positionY, this);
    }
}
