/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package channel;

/**
 * Class to represent a unit, for instance km/h, mph, m/s.
 * This class is currently not in use. km/h is assumed for speed
 * and 9.81m/s^2 is assumed for acceleration.
 * @author Lauritz Møllersen
 */
public class Unit {
    private String name;
    private double conversion;
    
    /**
     * Default constructor.
     * @param tempName The name of the Unit (km/h, mph..)
     * @param tempConversion The rate of conversion to SI unit of this type of measure (speed, weight, etc.).
     */
    public Unit(String tempName, double tempConversion) {
        name = tempName;
        conversion = tempConversion;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the conversion
     */
    public double getConversion() {
        return conversion;
    }

    /**
     * @param conversion the conversion to set
     */
    public void setConversion(double conversion) {
        this.conversion = conversion;
    }
    
}
