/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * ControlPanel.java
 *
 * Created on Nov 12, 2011, 10:52:21 PM
 */
package gui;

import bibliothek.gui.DockController;
import bibliothek.gui.Dockable;
import bibliothek.gui.dock.DefaultDockable;
import bibliothek.gui.dock.SplitDockStation;
import bibliothek.gui.dock.util.DockUtilities;
import java.awt.Component;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import plugin.DefaultPlugin;
import plugin.Plugin;

/**
 *
 * @author Per Øyvind
 */
public class ControlPanel extends SplitDockStation {
//ENDRING
    private Dockable pluginDockable;

    private Plugin p;

    /** Creates new form ControlPanel */
    

    public ControlPanel() {
        super();
        
    }
    /**
     * 
     * @param gui
     */
    public void init(MainGUIImpl gui) {
    
    
        DockController controller = new DockController();
        controller.setRootWindow(new JFrame());
        controller.add(this);
       
        pluginDockable = createDockable(new JPanel(), "Plugin Properties");
     
        //this.drop(pluginDockable);
}
    private static Dockable createDockable(Component panel, String title) {
        DefaultDockable dockable = new DefaultDockable();
        dockable.setTitleText(title);
        
        dockable.add(new JScrollPane(panel));
        return dockable;
    }

    /**
     * 
     * @param p
     */
    public void setFocusedPlugin(Plugin p) {
        this.p = p;
        DockUtilities.disableCheckLayoutLocked();
        this.removeDockable(pluginDockable);
        Component c;
        String title;
        if(p!=null){ c = p.getPropertiesPanel();
        title = p.getTitle();
        }
        else {c = new JPanel();
        title = "";
        }
        String frameTitle;
        if(title.equals(""))frameTitle = "Plugin properties";
        else frameTitle = "Plugin properties - "+title;
        pluginDockable = createDockable(c, frameTitle);
        this.drop(pluginDockable);
    }

    /**
     * 
     * @return
     */
    public Plugin getFocusedPlugin() {
        return p;
    }
}
