/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugin.map;

/**
 * Small class to help with the sorting of screen points in MapPlugin.
 * @author Lauritz Møllersen
 */
public class XYItem implements Comparable {

    private double x;
    private double y;
    private int index;

    /**
     * 
     * @param x
     * @param y
     * @param index
     */
    public XYItem(double x, double y, int index) {
        this.x = x;
        this.y = y;
        this.index = index;
    }

    @Override
    public int compareTo(Object o) {
        if (getX() == ((XYItem) o).getX()) {
            return 0;
        } else if (getX() > ((XYItem) o).getX()) {
            return 1;
        } else {
            return -1;
        }
    }

    @Override
    public String toString() {
        return "x: " + x + ", y: " + y + ", i: " + index + "\n";
    }

    /**
     * @return the x
     */
    public double getX() {
        return x;
    }

    /**
     * @param x the x to set
     */
    public void setX(double x) {
        this.x = x;
    }

    /**
     * @return the y
     */
    public double getY() {
        return y;
    }

    /**
     * @param y the y to set
     */
    public void setY(double y) {
        this.y = y;
    }

    /**
     * @return the index
     */
    public int getIndex() {
        return index;
    }

    /**
     * @param index the index to set
     */
    public void setIndex(int index) {
        this.index = index;
    }
}
