/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugin.xy;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;
import java.awt.Graphics;
import javax.swing.DefaultListCellRenderer;
import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

/**
 *
 * @author Per Øyvind
 */
public class ColorListRenderer implements ListCellRenderer {
    //protected DefaultListCellRenderer defaultRenderer = new DefaultListCellRenderer();

    public Component getListCellRendererComponent(JList list, Object value, int index,
            boolean isSelected, boolean cellHasFocus) {

        ColorListItem item = (ColorListItem) value;
        Icon theIcon = new ColorIcon(item.getColor());
        String theText = item.getChannel();

        JLabel renderer = new JLabel();//(JLabel) defaultRenderer.getListCellRendererComponent(list, value, index,
        // isSelected, cellHasFocus);

        renderer.setIcon(theIcon);
        renderer.setText(theText);
        return renderer;
    }

    private class ColorIcon implements Icon {

        private Color color;

        public ColorIcon(Color c) {
            this.color = c;
        }

        @Override
        public void paintIcon(Component c, Graphics g, int x, int y) {
            g.setColor(Color.BLACK);
            g.drawRect(x, y, 15, 15);
            g.setColor(color);
            g.fillRect(x + 1, y + 1, 13, 13);

        }

        @Override
        public int getIconWidth() {
            return 15;
        }

        @Override
        public int getIconHeight() {
            return 15;
        }
    }
}
