/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.basic;

import java.awt.BorderLayout;
import javax.swing.JInternalFrame;
import plugin.Plugin;

/**
 *
 * @author Per Øyvind
 */
public class PluginFrame extends JInternalFrame {

    private Plugin plugin;

    /**
     * Create a new PluginFrame wrapping a plugin panel.
     * @param plugin Plugin to retrieve the plugin panel from
     */
    public PluginFrame(Plugin plugin) {
        this.plugin = plugin;
        this.add(plugin.getPluginPanel(), BorderLayout.CENTER);
        setResizable(true);
        setClosable(true);
        setTitle(plugin.getTitle());
        setMaximizable(true);
    }

    Plugin getPlugin() {
        return this.plugin;
    }
}
